org.eclipse.jface.bindings

## Class BindingManagerEvent

- java.lang.Object
- - org.eclipse.core.commands.common.AbstractBitSetEvent
  - - org.eclipse.jface.bindings.BindingManagerEvent

    public final class BindingManagerEvent
    extends AbstractBitSetEvent

An instance of this class describes changes to an instance of `BindingManager`.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  `IBindingManagerListener.bindingManagerChanged(BindingManagerEvent)`

### Field Summary

### Fields inherited from class org.eclipse.core.commands.common.AbstractBitSetEvent

`changedValues`

### Constructor Summary

Constructors
Constructor and Description
`BindingManagerEvent(BindingManager manager, boolean activeBindingsChanged, Map previousTriggersByParameterizedCommand, boolean activeSchemeChanged, Scheme scheme, boolean schemeDefined, boolean localeChanged, boolean platformChanged)` Creates a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`BindingManager` `getManager()` Returns the instance of the manager that changed.
`Scheme` `getScheme()` Returns the scheme that changed.
`boolean` `isActiveBindingsChanged()` Returns whether the active bindings have changed.
`boolean` `isActiveBindingsChangedFor(ParameterizedCommand parameterizedCommand)` Computes whether the active bindings have changed for a given command identifier.
`boolean` `isActiveSchemeChanged()` Returns whether or not the active scheme changed.
`boolean` `isLocaleChanged()` Returns whether the locale has changed
`boolean` `isPlatformChanged()` Returns whether the platform has changed
`boolean` `isSchemeChanged()` Returns whether the list of defined scheme identifiers has changed.
`boolean` `isSchemeDefined()` Returns whether or not the scheme became defined

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BindingManagerEvent

    public BindingManagerEvent(BindingManager manager,
                               boolean activeBindingsChanged,
                               Map previousTriggersByParameterizedCommand,
                               boolean activeSchemeChanged,
                               Scheme scheme,
                               boolean schemeDefined,
                               boolean localeChanged,
                               boolean platformChanged)

Creates a new instance of this class.

Parameters:
  `manager` - the instance of the binding manager that changed; must not be `null`.
  `activeBindingsChanged` - Whether the active bindings have changed.
  `previousTriggersByParameterizedCommand` - The map of triggers (`TriggerSequence`) by fully-parameterized command (`ParameterizedCommand`) before the change occured. This map may be `null` or empty.
  `activeSchemeChanged` - true, iff the active scheme changed.
  `scheme` - The scheme that became defined or undefined; `null` if no scheme changed state.
  `schemeDefined` - `true` if the given scheme became defined; `false` otherwise.
  `localeChanged` - `true` iff the active locale changed
  `platformChanged` - `true` iff the active platform changed

### Method Detail

#### getManager

    public final BindingManager getManager()

Returns the instance of the manager that changed.

Returns:
  the instance of the manager that changed. Guaranteed not to be `null`.

#### getScheme

    public final Scheme getScheme()

Returns the scheme that changed.

Returns:
  The changed scheme

#### isActiveBindingsChanged

    public final boolean isActiveBindingsChanged()

Returns whether the active bindings have changed.

Returns:
  `true` if the active bindings have changed; `false` otherwise.

#### isActiveBindingsChangedFor

    public final boolean isActiveBindingsChangedFor(ParameterizedCommand parameterizedCommand)

Computes whether the active bindings have changed for a given command identifier.

Parameters:
  `parameterizedCommand` - The fully-parameterized command whose bindings might have changed; must not be `null`.
Returns:
  `true` if the active bindings have changed for the given command identifier; `false` otherwise.

#### isActiveSchemeChanged

    public final boolean isActiveSchemeChanged()

Returns whether or not the active scheme changed.

Returns:
  true, iff the active scheme property changed.

#### isLocaleChanged

    public boolean isLocaleChanged()

Returns whether the locale has changed

Returns:
  `true` if the locale changed; `false` otherwise.

#### isPlatformChanged

    public boolean isPlatformChanged()

Returns whether the platform has changed

Returns:
  `true` if the platform changed; `false` otherwise.

#### isSchemeChanged

    public final boolean isSchemeChanged()

Returns whether the list of defined scheme identifiers has changed.

Returns:
  `true` if the list of scheme identifiers has changed; `false` otherwise.

#### isSchemeDefined

    public final boolean isSchemeDefined()

Returns whether or not the scheme became defined

Returns:
  `true` if the scheme became defined.